var hydraExpress = require('hydra-express');
var hydra = hydraExpress.getHydra();

exports.sendNotification = async (frm, id, msg) => {
  let message = hydra.createUMFMessage({
    to: 'notification:[post]/sendNotification',
    frm: frm,
    bdy: {id: id, message: msg}
  });
  let result = await hydra.makeAPIRequest(message)
  return result;
}

exports.parseUrgentLink = async (frm, token, msg) => {
  let message = hydra.createUMFMessage({
    to: 'notification:[post]/parseUrgentLink',
    frm: frm,
    bdy: {token: token, message: msg}
  });
  let result = await hydra.makeAPIRequest(message)
  return result;
}
