
var hydraExpress = require('hydra-express');
var hydra = hydraExpress.getHydra();

exports.incrementUserStat = async (frm, id, stat, increment) => {
  let message = hydra.createUMFMessage({
    to: 'stats:[post]/incrementUserStat',
    frm: frm,
    bdy: {id: id, stat: stat, increment: increment}
  });
  let result = await hydra.makeAPIRequest(message)
  return result;

}
exports.getUserStats = async (frm, id) => {
  let message = hydra.createUMFMessage({
    to: 'stats:[post]/getUserStats',
    frm: frm,
    bdy: {id: id}
  });
  let result = await hydra.makeAPIRequest(message)
  return result;

}
exports.getAllStats = async (frm) => {
  let message = hydra.createUMFMessage({
    to: 'stats:[get]/getAllStats',
    frm: frm,
    bdy: {}
  });
  let result = await hydra.makeAPIRequest(message)
  return result;

}
